Summary: User-space access to Linux Kernel SCTP
Name:    lksctp-tools
Version: 1.0.19
Release: 4%{?dist}
License: GPLv2 and GPLv2+ and LGPLv2 and MIT
URL:     http://lksctp.sourceforge.net

Source0: https://github.com/sctp/lksctp-tools/archive/%{name}-%{version}.tar.gz
BuildRequires: libtool, automake, autoconf, make

%description
This package provides lksctp-tools for Linux Kernel SCTP (Stream Control
Transmission Protocol) Reference Implementation.

This package is intended to supplement the Linux Kernel SCTP Reference
Implementation now available in the Linux kernel source tree in
versions 2.5.36 and following. This package contains the base run-time 
library and command-line tools.


%package devel
Summary: Development files for lksctp-tools
Requires: %{name} = %{version}-%{release}

%description devel
This package contains development files of lksctp-tools which include man pages, 
header files, static libraries, symlinks to dynamic libraries and some tutorial 
source code.


%package doc
Summary: Documents pertaining to SCTP
Requires: %{name} = %{version}-%{release}

%description doc
Documents pertaining to LKSCTP & SCTP in general.


%prep
%autosetup


%build
[ ! -x ./configure ] && sh bootstrap
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build


%install
rm -f doc/rfc2960.txt doc/states.txt
%make_install

find %{buildroot} -type f -name "*.la" -delete


%files
%license COPYING*
%doc AUTHORS ChangeLog README
%{_bindir}/checksctp
%{_bindir}/sctp_darn
%{_bindir}/sctp_status
%{_bindir}/sctp_test
%{_bindir}/withsctp
%{_libdir}/libsctp.so.1*
%dir %{_libdir}/lksctp-tools/
%{_libdir}/lksctp-tools/libwithsctp.so.1*
%{_mandir}/man7/*

%files devel
%{_includedir}/*
%{_libdir}/libsctp.so
%{_libdir}/pkgconfig/libsctp.pc
%{_libdir}/lksctp-tools/libwithsctp.so
%{_datadir}/lksctp-tools/
%{_mandir}/man3/*

%files doc
%doc doc/*.txt

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.19-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.19-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.19-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Sep 19 2022 Yi Lin <nilusyi@tencent.com> - 1.0.19-1
- package init.
